header {
  h1 {
    text-align: center;
  }
}

main {
  section.input {
    display: grid;
    justify-items: center;
    input,
    textarea {
      background: rgba(255, 255, 255, 0.05);
      color: white;
      width: min(500px, 90%);
      padding: 1rem;
      border-radius: 0.5rem;
      border: 1px solid transparent;
      margin-bottom: 0.5rem;
      resize: none;
      &:focus {
        outline: transparent;
        border: 1px solid rgba(255, 255, 255, 0.1);
        box-shadow: 0 0 0 2px transparent;
      }
    }
    textarea {
      height: 0;
      padding: 0;
      background: transparent;
      opacity: 0;
      transition: height 0.3s, opacity 0.3s, background 0.3s, padding 0.3s;
      overflow: hidden;
    }
    button{
        height: 0;
        overflow: hidden;
        padding: 0;
        background: transparent;
        border: 0;
        width: min(500px, 90%);
        transition: height 0.3s, opacity 0.3s, background 0.3s, padding 0.3s;
        color: white;
        &:hover{
            cursor: pointer;
            opacity: 0.7;
        }
    }
    &:has(input:focus, textarea:focus, button:focus) {
      textarea {
        height: 100px;
        padding: 1rem;
        background: rgba(255, 255, 255, 0.05);
        opacity: 1;
      }

      button{
        height: 40px;
        padding: 0.5rem 1rem;
        background: rgba(255, 255, 255, 0.05);
        border-radius: 0.5rem;
        border: 1px solid transparent;
      }
    }
  }
  section.todo-list {
    text-align: center;
    article{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 30px;
    }
  }
}

